Description

As part of the ICARUS/artdaq discussion on 09-Feb-2016 (
https://cdcvs.fnal.gov/redmine/projects/artdag/wiki/February 9 2016_discussion_notes), the following issue were noted:

1. Do we want to make more of the protected methods in CommandableFragmentGenerator virtual? [start, stop, report?] [also see
notes on slide 8 of the Google slides from 09-Feb]

2. The samples that we provide in the demo should have all of the methods that we want users to consider included, even if they
are empty. We should also include comments that talk about what can be done in each of them, etc. Also include relative path
to CommandableFragGen so users can easily look at.

History

#1 - 02/29/2016 10:09 AM - Kurt Biery
- Target version changed from 575 tovi_12_15

#2 - 02/29/2016 11:42 AM - Kurt Biery
- Status changed from New to Resolved
start, stop, and stopNoMutex were made pure virtual, and child classes were updated appropriately.

pause, pauseNoMutex, resume, report, and reportSpecific were updated to print out a compiler message when the default (empty) implementation is
no over-ridden.

These changes implement the scheme that we decided upon in our internal discussions.

#3 - 05/04/2016 03:10 PM - Eric Flumerfelt

- Status changed from Resolved to Closed
